<template>
  <div class="page-error">
    <div class="row">
      <svg-icon name="404" />
      <div>
        <h1 v-if="error.statusCode === 403">
          <span>{{ error.statusCode }}</span>
          Access Denied
        </h1>
        <h1 v-if="error.statusCode === 404">
          <span>{{ error.statusCode }}</span>
          Page not found
        </h1>
        <h1 v-if="error.statusCode === 500">
          <span>{{ error.statusCode }}</span>
          Server error
        </h1>
        <!-- <p>
          {{ error }}
        </p> -->
        <Button variant="grey" size="inline" border :to="localePath('/')"
          >Home</Button
        >
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import type { NuxtError } from '@nuxt/types'
import { defineComponent } from '@nuxtjs/composition-api'
import Button from '@/components/ui/Button.vue'
export default defineComponent<{
  error: NuxtError
}>({
  props: ['error'],
  layout: 'single',
  components: { Button }
})
</script>

<style lang="scss" scoped>
.page-error {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  text-align: center;
  max-width: 1100px;
  margin: 0 auto;
  padding: 25px;
  @media (min-width: 991.98px) {
    text-align: left;
    padding: 40px;
  }
  h1 {
    margin: 0px 0 20px 0;
    padding: 0px;
    font-size: 40px;
    line-height: 50px;
    span {
      color: #00ffb3;
      font-size: 55px;
      display: block;
    }
  }
  .row {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    @media (min-width: 991.98px) {
      flex-direction: row;
    }
    > div {
      flex: none;
      padding: 20px 0 0 0px;
      @media (min-width: 991.98px) {
        padding: 0 0 0 20px;
      }
    }
    svg {
      flex: none;
      width: 300px;
      height: 220px;
      @media (min-width: 991.98px) {
        width: 550px;
        height: 425px;
      }
    }
  }
}
</style>
